/* -------------------------------------------------------------------------- */
/* --- Properties                                                         --- */
/* -------------------------------------------------------------------------- */

.code-column {
    margin: 0px;
    padding: 0px;
    display: block;
    text-overflow: ellipsis;
}

/* -------------------------------------------------------------------------- */
/* --- AST View                                                           --- */
/* -------------------------------------------------------------------------- */

.highlighted-marker {
    background-color: #FFFF66;
}

.dead-code {
    background-color: #BBB;
    border-bottom: solid 0.1em #BBB;
}

.non-terminating {
    border-bottom: solid 0.2em #BBB;
}

.bullet {
    width: 1.5em;
    background: #DDD;
}

/* -------------------------------------------------------------------------- */
/* --- Globals                                                            --- */
/* -------------------------------------------------------------------------- */

.globals-main label {
    text-decoration: underline;
}

.globals-stdlib label {
    font-style: italic;
}

.globals-attr {
    font-size: smaller;
    font-weight: lighter;
    color: #aaa;
}

/* -------------------------------------------------------------------------- */
/* --- Globals                                                            --- */
/* -------------------------------------------------------------------------- */

.message-search {
    padding: 4px 4px 4px 14px;
}

.message-search .dome-xForm-section {
    margin-top: 6px ;
    left: auto; /* Cancel dome left placement */
}

.message-search .dome-xForm-label {
    display: none; /* Hide label, only use placeholder */
}

.message-search input::placeholder {
    font-style: italic;
}

.message-search input {
    vertical-align: middle;
    margin: 2px 4px 2px 0px;
}

.message-search .dome-xForm-field {
    margin: 0px 4px;
    display: inline-block;
    min-width: 80px;
}

/* -------------------------------------------------------------------------- */
